Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.oscache.base.events
Class CacheMapAccessEvent

    java.lang.Object
      com.opensymphony.oscache.base.events.CacheEvent
          com.opensymphony.oscache.base.events.CacheMapAccessEvent

public final class CacheMapAccessEvent
extends CacheEvent

Cache map access event. This is the object created when an event occurs on a cache map (cache Hit, cache miss). It contains the entry that was referenced by the event and the event type.

Version:
  $Revision: 1.1 $
Author:
  Francois Beauregard

Field Summary

Fields inherited from class com.opensymphony.oscache.base.events.CacheEvent
`origin`

Constructor Summary
`CacheMapAccessEvent(CacheMapAccessEventType eventType, CacheEntry entry)` Constructor.
`CacheMapAccessEvent(CacheMapAccessEventType eventType, CacheEntry entry, java.lang.String origin)` Constructor.

Method Summary
`CacheEntry` | `getCacheEntry()` Retrieve the cache entry that the event applies to.
`java.lang.String` | `getCacheEntryKey()` Retrieve the cache entry key that the event applies to.
`CacheMapAccessEventType` | `getEventType()` Retrieve the type of the event.

Methods inherited from class com.opensymphony.oscache.base.events.CacheEvent
`getOrigin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheMapAccessEvent

    public CacheMapAccessEvent(CacheMapAccessEventType eventType,
                               CacheEntry entry)

  Constructor.

Parameters:
  `eventType` - Type of the event.
  `entry` - The cache entry that the event applies to.

### CacheMapAccessEvent

    public CacheMapAccessEvent(CacheMapAccessEventType eventType,
                               CacheEntry entry,
                               java.lang.String origin)

  Constructor.

Parameters:
  `eventType` - Type of the event.
  `entry` - The cache entry that the event applies to.
  `origin` - The origin of the event

Method Detail

### getCacheEntry

    public CacheEntry getCacheEntry()

  Retrieve the cache entry that the event applies to.

### getCacheEntryKey

    public java.lang.String getCacheEntryKey()

  Retrieve the cache entry key that the event applies to.

### getEventType

    public CacheMapAccessEventType getEventType()

  Retrieve the type of the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| See www.opensymphony.com for more information.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD